rawset(_G.krework.chars, "tails", {})

-- SETTINGS
rawset(_G.krework.chars.tails, "settings", {
-- Number of times you can boost per jump
BOOST_COUNT = 3,
-- Boost ascent speed
BOOST_UPSPEED = FRACUNIT * 40 / 20,
-- Number of tics you spend boosting
FLY_BOOST_TIME = 7,
-- Number of tics you spend boosting when swimming
SWIM_BOOST_TIME = 4,
-- Minimum time between flight boosts
FLY_COOLDOWN = 10,
-- How fast you fall when first hovering
FLY_HOVERSPEED = FRACUNIT * -7 / 2,
-- How fast you fall towards the end of your hover
FLY_TIRED_HOVERSPEED = FRACUNIT * -11 / 2,
-- How many tics it takes to hit the end of hover state
FLY_TIRED_TIME = 55,
-- How many tics it takes to drop out of the air entirely
FLY_END_TIME = 85,
-- How close someone has tobe for Tails to throw them
MAX_GRAB_RANGE = FRACUNIT*64,
-- How many tics Tails takes to throw someone
THROW_TIME = 20,
-- How hard Tails throws people when throwing them down
THROW_FORCE = FRACUNIT*25,
-- How long the Super Tails tornado lasts
SUPER_NADO_LIFE = TICRATE*3,

-- Whether to resize the dust clouds produced by flight boosts
BOOST_SCALE_DUST = true,
-- Whether to color the dust clouds produced by flight boosts
BOOST_COLOR_DUST = false,
-- Colors for each stage of dust
BOOST_DUST_COLORS = {[2] = SKINCOLOR_YELLOW, [1] = SKINCOLOR_ORANGE, [0] = SKINCOLOR_RED},
BOOST_DUST_DEFAULT = SKINCOLOR_EMERALD
})

rawset(_G.krework.chars.tails, "reset", function(mo)
    -- Reset how long Tails has been flying
    mo.krework.tails.flytime = 0
    -- Reset how many more times Tails can boost
    mo.krework.tails.flycount = krework.chars.tails.settings.BOOST_COUNT
	-- Reset whether Tails has thrown somebody
	mo.krework.tails.throwtime = 0
	-- Reset the player Tails has thrown
	mo.krework.tails.throwplayer = nil
	-- Reset the thrown player's up/down input
	mo.krework.tails.throwup = 0
	mo.krework.tails.throwdown = 0
end)

freeslot("S_PLAY_FLYBOOST",
"S_PLAY_FLYHOVER",
"S_PLAY_FLYHOVER_TIRED",
"S_PLAY_SWIMHOVER",
"S_PLAY_TAILSCATCH",
"S_PLAY_TAILSCAUGHT",
"S_PLAY_TAILSTHROW",
"S_TAILS_WHIRLYGIG",
"MT_TAILS_WHIRLYGIG",
"SPR_FBMP",
"S_FISTBUMP",
"MT_FISTBUMP")
